### Method

# Ide Config get_extensions

#### Declaration

    GPtrArray*
    ide_config_get_extensions (
      IdeConfig* self
    )

#### Description

Gets the known SDK extensions that will be used when building the project. Implementing this in your configuration backend allows plugins to know if additional binaries will be available to the build system.

Available since: | 3.34

#### Return value

Returns: | An array of `None`
| An array of `IdeRuntime` for the runtime extensions for the configuration.
| The caller of the method takes ownership of the data, and is responsible for freeing it.